Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.auth
Interface Refreshable

All Known Implementing Classes:
  KerberosTicket

    public interface Refreshable

Objects such as credentials may optionally implement this interface to provide the capability to refresh itself. For example, a credential with a particular time-restricted lifespan may implement this interface to allow callers to refresh the time period for which it is valid.

See Also:
  `Subject`

Method Summary
`boolean` | `isCurrent()` Determine if this `Object` is current.
`void` | `refresh()` Update or extend the validity period for this `Object`.

Method Detail

### isCurrent

    boolean isCurrent()

  Determine if this `Object` is current.

  Returns:
    true if this `Object` is currently current, false otherwise.

### refresh

    void refresh()
                 throws RefreshFailedException

  Update or extend the validity period for this `Object`.

  Throws:
    `SecurityException` - if the caller does not have permission to update or extend the validity period for this `Object`.

    `RefreshFailedException` - if the refresh attempt failed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.